version: '3'

services:
  redis:
    image: ${REGISTRY_HOST}/transfers-docker/sentry:redis
    restart: always
    ports:
    - ${REDIS_PORT}:6379

  postgres:
    image: ${REGISTRY_HOST}/transfers-docker/sentry:postgres
    restart: always
    ports:
      - ${POSTGRES_PORT}:5432
    env_file:
      - ${DOT_ENV_POSTGRES}
    volumes:
     - /var/lib/psql/data:/var/lib/postgresql/data

  sentry:
    image: ${REGISTRY_HOST}/transfers-docker/sentry:sentry
    restart: always
    links:
     - redis
     - postgres
    depends_on:
     - redis
     - postgres
    ports:
     - ${SENTRY_PORT}:9000
    env_file:
      - ${DOT_ENV_SENTRY}

  cron:
    image: ${REGISTRY_HOST}/transfers-docker/sentry:sentry
    restart: always
    links:
     - redis
     - postgres
    depends_on:
     - redis
     - postgres
    command: "sentry run cron"
    env_file:
      - ${DOT_ENV_SENTRY}

  worker:
    image: ${REGISTRY_HOST}/transfers-docker/sentry:sentry
    restart: always
    links:
     - redis
     - postgres
    depends_on:
     - redis
     - postgres
    command: "sentry run worker"
    env_file:
      - ${DOT_ENV_SENTRY}